<?php
require_once("inc/functions.inc.php");

$currentPageType = $smarty->get_template_vars('nSeitenTyp');
$currentLangIso = $smarty->get_template_vars('lang');

// product cms
if($currentPageType == 1)
{
	$product = $smarty->get_template_vars('Artikel');
	
	// get the product cms
	$productCms = getCms($product->kArtikel, $currentLangIso);
	if($productCms != -1)
	{
		$smarty->assign("cmsContent", $productCms);  
		
		// create content out of smarty template
		$tplFile = $oPlugin->oPluginEinstellungAssoc_arr['cms_template_file'] . ".tpl";
		$content = $smarty->fetch($oPlugin->cFrontendPfad  . "template/" . $tplFile);
		
		// append content via phpQuery
		// replace element
		if($oPlugin->oPluginEinstellungAssoc_arr['cms_product_replace_id'] != " ")
		{
			pq("#" . $oPlugin->oPluginEinstellungAssoc_arr['cms_product_replace_id'])->replaceWith($content);
		}
		else if($oPlugin->oPluginEinstellungAssoc_arr['cms_product_append_id'] != " ")
		{
			pq("#" . $oPlugin->oPluginEinstellungAssoc_arr['cms_product_append_id'])->append($content);
		}
	}
}
// category cms
else if($currentPageType == 2)
{
	$navi = $smarty->get_template_vars('oNavigationsinfo');
	if(isset($navi->oKategorie))
	{
		$category_id = $navi->oKategorie->kKategorie;
		$categoryCms = getCms($category_id, $currentLangIso, QUERY_TYPE_CATEGORY); 

		if($categoryCms != -1) 
		{
			$smarty->assign("cmsContent", $categoryCms);  
			
			// create content out of smarty template
			$tplFile = $oPlugin->oPluginEinstellungAssoc_arr['cms_template_file'] . ".tpl";
			$content = $smarty->fetch($oPlugin->cFrontendPfad  . "template/" . $tplFile);
			
			// append content via phpQuery
			// replace element
			if($oPlugin->oPluginEinstellungAssoc_arr['cms_category_replace_id'] != " ")
			{
				pq("#" . $oPlugin->oPluginEinstellungAssoc_arr['cms_category_replace_id'])->replaceWith($content);
			}
			else if($oPlugin->oPluginEinstellungAssoc_arr['cms_category_append_id'] != " ")
			{
				pq("#" . $oPlugin->oPluginEinstellungAssoc_arr['cms_category_append_id'])->append($content);
			}
		}
	}
}

?>