<?php
require_once(PFAD_ROOT . PFAD_INCLUDES . "tools.Global.php");

define("TABLE_CMS_MAPPING","xplugin_kk_content_injector_cmsmappings");
define("QUERY_TYPE_PRODUCT", 0);
define("QUERY_TYPE_CATEGORY", 1);

// returns array like:
//    [0] = array("title"=>"blub 1", "Hello World"), [1] = array("title"=>"blub 2", "Goodbye World"), 
function getCms($id, $langIso, $type = QUERY_TYPE_PRODUCT)
{	
	// create query
	if($type == QUERY_TYPE_PRODUCT)
		$query = "SELECT * FROM " . TABLE_CMS_MAPPING . " WHERE product_id = " . $id;
	else if($type == QUERY_TYPE_CATEGORY)
		$query = "SELECT * FROM " . TABLE_CMS_MAPPING . " WHERE category_id = " . $id;
	
	// query
	$res = $GLOBALS['DB']->executeQuery($query,2);

	if(!empty($res))
	{
		$retArr = array();
		$count = 0;
		
		// parse content ids
		foreach($res as $entry)
		{
			// get content
			$link_id = $entry->content_id;
			
			// get content from db
			$queryContent = "SELECT * FROM tlinksprache WHERE kLink = " . $link_id . " AND cISOSprache = '" . $langIso . "'"; 
			$contents = $GLOBALS['DB']->executeQuery($queryContent,1);
			$contentArr = array("title" => $contents->cName, "content" => $contents->cContent);
			
			// save 
			$retArr[$count] = $contentArr;
			$count++;
		}
		
		return $retArr;
	}
	
	return -1;
}

?>